/Users/bernard/b20/bsoft/include/model_color.h(3)

NAME
/Users/bernard/b20/bsoft/include/model_color.h - Functions to color models.

SYNOPSIS

#include 'rwmodel.h'

  Functions
int model_color_uniformly (Bmodel *model, RGBA< float > color)
Colors model components uniformly.
int model_color_selected (Bmodel *model, RGBA< float > color)
Colors selected model components.
int model_color_by_order (Bmodel *model)
Colors model components in order from red to blue.
int model_color_by_density (Bmodel *model)
Colors model components by density.
int model_color_by_fom (Bmodel *model)
Colors model components by fom.
int model_color_selected_types (Bmodel *model, RGBA< float > rgba)
Colors model components by fom.
int model_color_curvature (Bmodel *model)
Colors model vertices and links as a function of curvature.
int model_color_chiral_vertices (Bmodel *model)
Colors model vertices as a function of chirality.

Detailed Description

Functions to color models.

Author:
    Bernard Heymann

Date:
    Created: 20080206

    Modified: 20111106

Definition in file model_color.h.

Function Documentation

  int model_color_by_density (Bmodel * model)

Colors model components by density.

Parameters:
    *model model to color.

Returns:
    int 0.

    Color assignments are:
        density = 0     blue
        density = 0.5   green
        density = 1     red

Definition at line 118 of file model_color.cpp.

  int model_color_by_fom (Bmodel * model)

Colors model components by fom.

Parameters:
    *model model to color.

Returns:
    int 0.

    Color assignments are:
        FOM = 0     blue
        FOM = 0.5   green
        FOM = 1     red

Definition at line 159 of file model_color.cpp.

  int model_color_by_order (Bmodel * model)

Colors model components in order from red to blue.

Parameters:
    *model model to color.

Returns:
    int 0.

Definition at line 82 of file model_color.cpp.

  int model_color_chiral_vertices (Bmodel * model)

Colors model vertices as a function of chirality.

Parameters:
    *model model to color.

Returns:
    int number of chiral vertices.

    Chiral vertices are colored blue for + and red for - handedness.

Definition at line 259 of file model_color.cpp.

  int model_color_curvature (Bmodel * model)

Colors model vertices and links as a function of curvature.

Parameters:
    *model model to color.

Returns:
    int 0.

Definition at line 228 of file model_color.cpp.

  int model_color_selected (Bmodel * model, RGBA< float > color)

Colors selected model components.

Parameters:
    *model model to color.
    color 4-value color vector ([0,1]).

Returns:
    int 0.

Definition at line 55 of file model_color.cpp.

  int model_color_selected_types (Bmodel * model, RGBA< float > rgba)

Colors model components by fom.

Parameters:
    *model model to color.
    rgba RGBA color.

Returns:
    int 0.

    Color assignments are:
        FOM = 0     blue
        FOM = 0.5   green
        FOM = 1     red

Definition at line 201 of file model_color.cpp.

  int model_color_uniformly (Bmodel * model, RGBA< float > color)

Colors model components uniformly.

Parameters:
    *model model to color.
    color 4-value color vector ([0,1]).

Returns:
    int 0.

    Both selected and non-selected elements are colored.

Definition at line 29 of file model_color.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.